package org.jpos.util;

import junit.framework.TestCase;

import org.jpos.iso.ISOMsg;

/**
 * $Revision: 23416 $
 * $Date: 2007-03-14 00:14:09 +0000 (Wed, 14 Mar 2007) $
 * $Author: nsmith $
 */
public final class ISOMsgEqualityTester {

    private ISOMsgEqualityTester() {
    }
    
    public static boolean isEquals(ISOMsg first, ISOMsg second) {
        return ISOComponentStringifier.stringify(first).equals(ISOComponentStringifier.stringify(second));
    }

    public static void assertEquals(ISOMsg first, ISOMsg second) {
        TestCase.assertEquals(ISOComponentStringifier.stringify(first), ISOComponentStringifier.stringify(second));
    }
}

